dpkg-trigger(1)

NOM
dpkg-trigger - un utilitaire pour activer les actions différées de paquets

SYNOPSIS
dpkg-trigger [option...] nom-action-différée
dpkg-trigger [option...] commande

DESCRIPTION
dpkg-trigger est un outil pour activer explicitement les actions différées et pour vérifier leur gestion dans le fonctionnement de dpkg.

Utilisable par les scripts du mainteneur dans certaines situations complexes où un fichier d'actions différées (« triggers ») ou la directive activate du fichier de contrôle des actions différées ne sont pas suffisants. Peut également être utilisé pour des essais ou par les administrateurs système (noter que les actions différées ne seront alors pas exécutées par dpkg-trigger).

Les syntaxes non-reconnues pour le nom des actions différées constituent une erreur pour dpkg-trigger.

COMMANDES

--check-supported
    Check if the running dpkg supports triggers (usually called from a postinst). Will exit 0 if a triggers-capable dpkg has run, or 1 with an error message to stderr if not. Normally, however, it is better just to activate the desired trigger with dpkg-trigger.

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--admindir=dir
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

--by-package=paquet
    Override trigger awaiter (normally set by dpkg through the DPKG_MAINTSCRIPT_PACKAGE environment variable of the maintainer scripts, naming the package to which the script belongs, and this will be used by default).

--no-await
    Cette option fait en sorte que le paquet appelant T (s'il existe) n'a pas besoin d'attendre l'exécution de cette action différée ; I, le(s) paquet(s) associé(s) à l'action différée, ne sera pas ajouté à liste des paquets dont le traitement des actions différées est attendu par T et l'état de T reste inchangé. T peut être considéré installé même si les actions différées de I n'ont pas encore été exécutées.

--no-act
    Teste uniquement, n'apporte aucun changement.

ENVIRONNEMENT

DPKG_ADMINDIR
    Si cette variable est positionnée et que l'option --admindir n'est pas précisée, ce répertoire sera utilisé comme répertoire de données pour dpkg.

VOIR AUSSI
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg-dev/triggers.txt.gz.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.